Subject: Re: [RFC PATCH] Add git quick reference

From: Jonas Fonseca <[email-masked]>
Date: Mon, 4 Jun 2007 20:45:46 +0200

J. Bruce Fields <[email-masked]> wrote Sun, Jun 03, 2007:
> On Sat, Jun 02, 2007 at 08:24:23PM +0200, Jonas Fonseca wrote:
> > It attempts to list some of the most commonly used commands, which should
> > give new users an idea of how to get started.
> > 
> > Available both as a manpage (generated via a script) and HTML page.
> 
> We have a "git quick start" here:
> 
> 	http://www.kernel.org/pub/software/scm/git/docs/user-manual.html#git-quick-start
> 
> and there's one on the wiki:
> 
> 	http://git.or.cz/gitwiki/QuickStart
> 
> I think the one in the manual tries to follow the organization of the
> manual more closely.

I like the manual version best. However, it is not as "visually" clean
and simple as I would like, but perhaps this sort of "use case" approach
is better.

> I haven't tried to compare those two recently, or to compare yours to
> either of them.  If you could compare and suggest any improvements,
> that'd be helpful.

I will see what I can do when I get the time and courage. :)

> I like your name better ("quick reference" as opposed to "quick start").

Yes, "quick start" suggest (at least to me) that it is a tutorial and it
seems far from that.

> Having it as a man page may be a good idea too.  I'd like to keep a copy
> in the manual as well, though, so we'd have to include from some common
> file.

The main idea was to have the reference in a printable format similar to
svn-ref. But the man page was easy to do, although it might not be
something that users would stumble upon.

-- 
Jonas Fonseca